php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #38806 PHP 5.1 cannot run PostgreSQL extensions on NT4 OS
Submitted: 2006-09-13 13:07 UTC Modified: 2006-09-13 13:50 UTC
From: gordion at quick dot cz Assigned:
Status: Not a bug Package: PostgreSQL related
PHP Version: 5.1.6 OS: Win NT 4.00.1381
Private report: No CVE-ID: None
 [2006-09-13 13:07 UTC] gordion at quick dot cz
Description:
------------
Both php_pgsql.dll and php_pdo_pgsql.dll use function SHGetFolderPath from Shell32.dll; but for Windows versions 98, NT4 the SHGetFolderPath is obtained through SHFolder.dll, not through Shell32.dll. (SHFolder.dll continues to be included for backward compatibility, though the function is now implemented in Shell32.dll.)


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-09-13 13:50 UTC] tony2001@php.net
The problem is actually in PostgreSQL client library (see http://qaix.com/postgresql-database-development/236-711-psql-8-0-final-not-working-on-nt-4-0sp6-read.shtml).
Please report it to PG developers.
Thank you.
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Wed Jun 19 12:01:29 2024 UTC